Package org.apache.sling.feature.builder

# Interface FeatureProvider

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@ConsumerType @FunctionalInterface public interface FeatureProvider
The feature provider is used to find features while assembling using `FeatureBuilder`.

## Method Summary

Modifier and Type
Method
Description
`Feature`
`provide(ArtifactId id)`
Provide the feature with the given id.

## Method Details

### provide

Feature provide(ArtifactId id)
Provide the feature with the given id.

Parameters:
  `id` - The feature id
Returns:
  The feature or `null`